Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/airbrush.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/airbrush.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/ase.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/ase.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asn.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asn.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asne.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asne.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asns.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asns.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asnswe.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asnswe.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asnw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asnw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/ass.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/ass.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asse.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asse.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/assw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/assw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/asw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/asw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/aswe.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/aswe.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/chain.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/chain.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/chainnot.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/chainnot.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/chart.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/chart.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/copydata.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/copydata.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/copydlnk.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/copydlnk.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/copyf.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/copyf.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/copyf2.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/copyf2.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/copyflnk.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/copyflnk.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/crook.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/crook.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/crop.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/crop.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/darc.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/darc.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dbezier.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dbezier.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dcapt.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dcapt.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dcirccut.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dcirccut.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dconnect.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dconnect.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dellipse.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dellipse.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/detectiv.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/detectiv.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dfree.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dfree.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dline.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dline.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dpie.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dpie.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dpolygon.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dpolygon.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/drect.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/drect.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/dtext.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/dtext.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/fill.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/fill.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/help.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/help.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/hourglass.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/hourglass.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/hshear.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/hshear.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/linkdata.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/linkdata.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/linkf.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/linkf.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/magnify.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/magnify.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/mirror.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/mirror.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movebw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movebw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movedata.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movedata.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movedlnk.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movedlnk.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movef.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movef.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movef2.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movef2.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/moveflnk.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/moveflnk.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/movept.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/movept.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/neswsize.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/neswsize.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/notallow.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/notallow.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/nullptr.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/nullptr.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/nwsesize.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/nwsesize.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pen.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pen.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pivotcol.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pivotcol.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pivotdel.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pivotdel.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pivotfld.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pivotfld.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pivotrow.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pivotrow.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/pntbrsh.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/pntbrsh.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/rotate.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/rotate.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/tblsele.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/tblsele.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/tblsels.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/tblsels.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/tblselse.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/tblselse.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/tblselsw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/tblselsw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/tblselw.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/tblselw.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/timemove.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/timemove.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/timesize.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/timesize.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/vshear.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/vshear.png differ
Binary files ooo_SRC680_m233_src.orig/instsetoo_native/macosx/application/cursors/vtext.png and ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/application/cursors/vtext.png differ
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/instsetoo_native/macosx/makefile.mk ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/makefile.mk
--- ooo_SRC680_m233_src.orig/instsetoo_native/macosx/makefile.mk	2007-10-09 17:05:49.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/instsetoo_native/macosx/makefile.mk	2007-10-18 16:10:58.000000000 +0200
@@ -66,6 +66,78 @@
     $(CONTENTS)$/Resources$/MainMenu.nib$/info.nib   \
     $(CONTENTS)$/Resources$/MainMenu.nib$/keyedobjects.nib
 
+cursorfiles = \
+	$(CONTENTS)$/Resources$/cursors$/airbrush.png   \
+	$(CONTENTS)$/Resources$/cursors$/ase.png   \
+	$(CONTENTS)$/Resources$/cursors$/asn.png   \
+	$(CONTENTS)$/Resources$/cursors$/asne.png   \
+	$(CONTENTS)$/Resources$/cursors$/asns.png   \
+	$(CONTENTS)$/Resources$/cursors$/asnswe.png   \
+	$(CONTENTS)$/Resources$/cursors$/asnw.png   \
+	$(CONTENTS)$/Resources$/cursors$/ass.png   \
+	$(CONTENTS)$/Resources$/cursors$/asse.png   \
+	$(CONTENTS)$/Resources$/cursors$/assw.png   \
+	$(CONTENTS)$/Resources$/cursors$/asw.png   \
+	$(CONTENTS)$/Resources$/cursors$/aswe.png   \
+	$(CONTENTS)$/Resources$/cursors$/chain.png   \
+	$(CONTENTS)$/Resources$/cursors$/chainnot.png   \
+	$(CONTENTS)$/Resources$/cursors$/chart.png   \
+	$(CONTENTS)$/Resources$/cursors$/copydata.png   \
+	$(CONTENTS)$/Resources$/cursors$/copydlnk.png   \
+	$(CONTENTS)$/Resources$/cursors$/copyf.png   \
+	$(CONTENTS)$/Resources$/cursors$/copyf2.png   \
+	$(CONTENTS)$/Resources$/cursors$/copyflnk.png   \
+	$(CONTENTS)$/Resources$/cursors$/crook.png   \
+	$(CONTENTS)$/Resources$/cursors$/crop.png   \
+	$(CONTENTS)$/Resources$/cursors$/darc.png   \
+	$(CONTENTS)$/Resources$/cursors$/dbezier.png   \
+	$(CONTENTS)$/Resources$/cursors$/dcapt.png   \
+	$(CONTENTS)$/Resources$/cursors$/dcirccut.png   \
+	$(CONTENTS)$/Resources$/cursors$/dconnect.png   \
+	$(CONTENTS)$/Resources$/cursors$/dellipse.png   \
+	$(CONTENTS)$/Resources$/cursors$/detectiv.png   \
+	$(CONTENTS)$/Resources$/cursors$/dfree.png   \
+	$(CONTENTS)$/Resources$/cursors$/dline.png   \
+	$(CONTENTS)$/Resources$/cursors$/dpie.png   \
+	$(CONTENTS)$/Resources$/cursors$/dpolygon.png   \
+	$(CONTENTS)$/Resources$/cursors$/drect.png   \
+	$(CONTENTS)$/Resources$/cursors$/dtext.png   \
+	$(CONTENTS)$/Resources$/cursors$/fill.png   \
+	$(CONTENTS)$/Resources$/cursors$/help.png   \
+	$(CONTENTS)$/Resources$/cursors$/hourglass.png   \
+	$(CONTENTS)$/Resources$/cursors$/hshear.png   \
+	$(CONTENTS)$/Resources$/cursors$/linkdata.png   \
+	$(CONTENTS)$/Resources$/cursors$/linkf.png   \
+	$(CONTENTS)$/Resources$/cursors$/magnify.png   \
+	$(CONTENTS)$/Resources$/cursors$/mirror.png   \
+	$(CONTENTS)$/Resources$/cursors$/movebw.png   \
+	$(CONTENTS)$/Resources$/cursors$/movedata.png   \
+	$(CONTENTS)$/Resources$/cursors$/movedlnk.png   \
+	$(CONTENTS)$/Resources$/cursors$/movef.png   \
+	$(CONTENTS)$/Resources$/cursors$/movef2.png   \
+	$(CONTENTS)$/Resources$/cursors$/moveflnk.png   \
+	$(CONTENTS)$/Resources$/cursors$/movept.png   \
+	$(CONTENTS)$/Resources$/cursors$/neswsize.png   \
+	$(CONTENTS)$/Resources$/cursors$/notallow.png   \
+	$(CONTENTS)$/Resources$/cursors$/nullptr.png   \
+	$(CONTENTS)$/Resources$/cursors$/nwsesize.png   \
+	$(CONTENTS)$/Resources$/cursors$/pen.png   \
+	$(CONTENTS)$/Resources$/cursors$/pivotcol.png   \
+	$(CONTENTS)$/Resources$/cursors$/pivotdel.png   \
+	$(CONTENTS)$/Resources$/cursors$/pivotfld.png   \
+	$(CONTENTS)$/Resources$/cursors$/pivotrow.png   \
+	$(CONTENTS)$/Resources$/cursors$/pntbrsh.png   \
+	$(CONTENTS)$/Resources$/cursors$/rotate.png   \
+	$(CONTENTS)$/Resources$/cursors$/tblsele.png   \
+	$(CONTENTS)$/Resources$/cursors$/tblsels.png   \
+	$(CONTENTS)$/Resources$/cursors$/tblselse.png   \
+	$(CONTENTS)$/Resources$/cursors$/tblselsw.png   \
+	$(CONTENTS)$/Resources$/cursors$/tblselw.png   \
+	$(CONTENTS)$/Resources$/cursors$/timemove.png   \
+	$(CONTENTS)$/Resources$/cursors$/timesize.png   \
+	$(CONTENTS)$/Resources$/cursors$/vshear.png   \
+	$(CONTENTS)$/Resources$/cursors$/vtext.png    
+
 ZIPFLAGS = -r
 ZIP1TARGET = osxbundle
 ZIP1DIR = $(CONTENTS)
@@ -83,7 +155,7 @@
 
 .INCLUDE : target.mk
 
-$(ZIP1TARGETN) : $(scriptfiles) $(plistfiles) $(nibfiles)
+$(ZIP1TARGETN) : $(scriptfiles) $(plistfiles) $(nibfiles) $(cursorfiles)
 
 $(plistfiles) : $(scriptfiles)
 
@@ -109,7 +181,12 @@
         sed "s|\%BUNDLEEXECUTABLE|${BUNDLEEXECUTABLE}|g" "$(VERSIONED)/$<" > "$@"
 
 # nibs are just copied
-$(CONTENTS)$/Resources$/MainMenu.nib$/%.nib: application/MainMenu.nib$/%.nib
+$(CONTENTS)$/Resources$/MainMenu.nib$/%.nib: application$/MainMenu.nib$/%.nib
+    $(MKDIRHIER) $(@:d)
+    $(COPY) "$<" "$@"
+
+# cursor files are just copied
+$(CONTENTS)$/Resources$/cursors$/%.png: application$/cursors$/%.png
     $(MKDIRHIER) $(@:d)
     $(COPY) "$<" "$@"
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/rsc/inc/vclrsc.hxx ooo_SRC680_m233_src.aquavcl04/rsc/inc/vclrsc.hxx
--- ooo_SRC680_m233_src.orig/rsc/inc/vclrsc.hxx	2007-06-19 18:11:22.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/rsc/inc/vclrsc.hxx	2007-10-19 16:41:39.000000000 +0200
@@ -214,8 +214,8 @@
 #define KEY_SHIFT		((sal_uInt16)0x1000)
 #define KEY_MOD1		((sal_uInt16)0x2000)
 #define KEY_MOD2		((sal_uInt16)0x4000)
-#define KEY_MODTYPE 	((sal_uInt16)0x7000)
-#define KEY_CONTROLMOD	((sal_uInt16)0x8000)
+#define KEY_MOD3		((sal_uInt16)0x8000)
+#define KEY_MODTYPE 	((sal_uInt16)0xF000)
 #define KEY_ALLMODTYPE	((sal_uInt16)0xF000)
 
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/solenv/inc/rules.mk ooo_SRC680_m233_src.aquavcl04/solenv/inc/rules.mk
--- ooo_SRC680_m233_src.orig/solenv/inc/rules.mk	2007-09-21 11:17:06.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/solenv/inc/rules.mk	2007-10-15 16:03:39.000000000 +0200
@@ -367,11 +367,11 @@
 	@echo Making: $@
 .IF "$(OS)"=="MACOSX"
 .IF "$(TEST)"!=""
-	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) -E $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
+	$(objcpp) $(CFLAGS) $(INCLUDE) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) -E $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
 .ELSE
 	@$(RM) $@ $(@:s/.obj/.o/)
-	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
-	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+	$(objcpp) $(CFLAGS) $(INCLUDE) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
+ 	$(IFEXIST) $(@:s/.obj/.o/) $(THEN) $(TOUCH) $@ $(FI)
 .ENDIF
 .ELSE		"$(OS)"=="MACOSX"
 	@echo "No recipe for compiling Objective-C++ files is available for this platform"
@@ -383,8 +383,8 @@
 	@echo Making: $@
 .IF "$(OS)"=="MACOSX"
 	@$(RM) $@ $(@:s/.obj/.o/)
-	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $(MISC)$/$*.mm
-	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+	$(objcpp) $(CFLAGS) $(INCLUDE) $(CFLAGSCXX) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $(MISC)$/$*.mm
+ 	$(IFEXIST) $(@:s/.obj/.o/) $(THEN) $(TOUCH) $@ $(FI)
 .ELSE		"$(OS)"=="MACOSX"
 	@echo "No recipe for compiling Objective-C++ files is available for this platform"
 .ENDIF		"$(OS)"=="MACOSX"
@@ -395,8 +395,8 @@
 	@echo Making: $@
 .IF "$(OS)"=="MACOSX"
 	@$(RM) $@ $(@:s/.obj/.o/)
-	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $(MISC)$/$*.mm
-	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+	$(objcpp) $(CFLAGS) $(INCLUDE) $(CFLAGSCXX) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $(MISC)$/$*.mm
+ 	$(IFEXIST) $(@:s/.obj/.o/) $(THEN) $(TOUCH) $@ $(FI)
 .ELSE		"$(OS)"=="MACOSX"
 	@echo "No recipe for compiling Objective-C++ files is available for this platform"
 .ENDIF		"$(OS)"=="MACOSX"
@@ -407,8 +407,8 @@
 	@echo Making: $@
 .IF "$(OS)"=="MACOSX"
 	@$(RM) $@ $(@:s/.obj/.o/)
-	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $*.mm
-	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+	$(objcpp) $(CFLAGS) $(INCLUDE) $(CFLAGSCXX) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $*.mm
+ 	$(IFEXIST) $(@:s/.obj/.o/) $(THEN) $(TOUCH) $@ $(FI)
 .ELSE		"$(OS)"=="MACOSX"
 	@echo "No recipe for compiling Objective-C++ files is available for this platform"
 .ENDIF		"$(OS)"=="MACOSX"
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/solenv/inc/unxmacx.mk ooo_SRC680_m233_src.aquavcl04/solenv/inc/unxmacx.mk
--- ooo_SRC680_m233_src.orig/solenv/inc/unxmacx.mk	2007-10-09 17:05:16.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/solenv/inc/unxmacx.mk	2007-10-15 17:17:57.000000000 +0200
@@ -84,9 +84,11 @@
 # CC = C++ compiler to use
 # cc = C compiler to use
 # objc = Objective C compiler to use
+# objcpp = Objective C++ compiler to use
 CXX*=g++
 CC*=gcc
-objc=cc
+objc*=gcc
+objcpp*=g++
 
 CFLAGS=-fsigned-char -fmessage-length=0 -malign-natural -c
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/svx/source/svdraw/svdhdl.cxx ooo_SRC680_m233_src.aquavcl04/svx/source/svdraw/svdhdl.cxx
--- ooo_SRC680_m233_src.orig/svx/source/svdraw/svdhdl.cxx	2007-07-18 12:56:21.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/svx/source/svdraw/svdhdl.cxx	2007-10-18 18:34:24.000000000 +0200
@@ -898,9 +898,9 @@
         } else {
             switch (eKind) {
                 case HDL_UPLFT: ePtr=POINTER_NWSIZE;  break;
-                case HDL_UPPER: ePtr=POINTER_SSIZE;     break;
+                case HDL_UPPER: ePtr=POINTER_NSIZE;     break;
                 case HDL_UPRGT: ePtr=POINTER_NESIZE;  break;
-                case HDL_LEFT : ePtr=POINTER_ESIZE;     break;
+                case HDL_LEFT : ePtr=POINTER_WSIZE;     break;
                 case HDL_RIGHT: ePtr=POINTER_ESIZE;     break;
                 case HDL_LWLFT: ePtr=POINTER_SWSIZE;  break;
                 case HDL_LOWER: ePtr=POINTER_SSIZE;     break;
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/sw/source/ui/docvw/edtwin.cxx ooo_SRC680_m233_src.aquavcl04/sw/source/ui/docvw/edtwin.cxx
--- ooo_SRC680_m233_src.orig/sw/source/ui/docvw/edtwin.cxx	2007-09-27 13:40:19.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/sw/source/ui/docvw/edtwin.cxx	2007-10-19 17:18:57.000000000 +0200
@@ -1603,7 +1603,7 @@
 //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 #endif
 
-			if( !rKeyCode.IsControlMod() && '=' == aCh &&
+			if( '=' == aCh &&
 				!rSh.IsTableMode() && rSh.GetTableFmt() &&
 				rSh.IsSttPara() /*&& rSh.IsEndPara()*/ &&
 				!rSh.HasReadonlySel() )
@@ -2191,7 +2191,7 @@
 		case KS_KeyToView:
 			{
 				eKeyState = KS_Ende;
-                bNormalChar = !rKeyCode.IsControlMod() &&
+                bNormalChar =
                     rKeyCode.GetModifier() != (KEY_MOD1) &&
                     rKeyCode.GetModifier() != (KEY_MOD1|KEY_SHIFT) &&
                                 SW_ISPRINTABLE( aCh );
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/aqua/inc/aquaprintview.h ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/aquaprintview.h
--- ooo_SRC680_m233_src.orig/vcl/aqua/inc/aquaprintview.h	1970-01-01 01:00:00.000000000 +0100
+++ ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/aquaprintview.h	2007-10-15 15:24:24.000000000 +0200
@@ -0,0 +1,59 @@
+/*************************************************************************
+ *
+ *  OpenOffice.org - a multi-platform office productivity suite
+ *
+ *  $RCSfile$
+ *
+ *  $Revision$
+ *
+ *  last change: $Author$ $Date$
+ *
+ *  The Contents of this file are made available subject to
+ *  the terms of GNU Lesser General Public License Version 2.1.
+ *
+ *
+ *    GNU Lesser General Public License Version 2.1
+ *    =============================================
+ *    Copyright 2005 by Sun Microsystems, Inc.
+ *    901 San Antonio Road, Palo Alto, CA 94303, USA
+ *
+ *    This library is free software; you can redistribute it and/or
+ *    modify it under the terms of the GNU Lesser General Public
+ *    License version 2.1, as published by the Free Software Foundation.
+ *
+ *    This library is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ *    Lesser General Public License for more details.
+ *
+ *    You should have received a copy of the GNU Lesser General Public
+ *    License along with this library; if not, write to the Free Software
+ *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+ *    MA  02111-1307  USA
+ *
+ ************************************************************************/
+
+#ifndef _VCL_AQUAPRINTVIEW_H
+#define _VCL_AQUAPRINTVIEW_H
+
+#include "premac.h"
+#include <Cocoa/Cocoa.h>
+#include "postmac.h"
+
+class ImplQPrinter;
+class AquaSalInfoPrinter;
+
+@interface AquaPrintView : NSView
+{
+    ImplQPrinter*       mpQPrinter;
+    AquaSalInfoPrinter* mpInfoPrinter;
+}
+-(id)initWithQPrinter: (ImplQPrinter*)pPrinter withInfoPrinter: (AquaSalInfoPrinter*)pInfoPrinter;
+-(MacOSBOOL)knowsPageRange: (NSRangePointer)range;
+-(NSRect)rectForPage: (int)page;
+-(NSPoint)locationOfPrintRect: (NSRect)aRect;
+-(void)drawRect: (NSRect)rect;
+@end
+
+
+#endif
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/aqua/inc/saldata.hxx ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/saldata.hxx
--- ooo_SRC680_m233_src.orig/vcl/aqua/inc/saldata.hxx	2007-10-09 17:09:03.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/saldata.hxx	2007-10-17 20:13:38.000000000 +0200
@@ -44,8 +44,10 @@
 #include "vcl/sv.h"
 #include "vcl/svdata.hxx"
 #include "vcl/salwtype.hxx"
+#include "vcl/ptrstyle.hxx"
 
 #include <list>
+#include <vector>
 #include <hash_set>
 
 #include <cstdio>
@@ -76,6 +78,8 @@
     { return std::hash<sal_IntPtr>::operator()( reinterpret_cast<const sal_IntPtr>(frame) ); }
 };
 
+#define INVALID_CURSOR_PTR (NSCursor*)0xdeadbeef
+
 struct SalData
 {
     
@@ -90,6 +94,8 @@
     
     CGColorSpaceRef                               mxRGBSpace;
     CGColorSpaceRef                               mxGraySpace;
+    
+    std::vector< NSCursor* >                      maCursors;
 
     static FILE                                  *s_pLog;
 
@@ -103,14 +109,24 @@
         mpFirstPrinter( NULL ),
         mpFontList( NULL ),
         mxRGBSpace( CGColorSpaceCreateWithName(kCGColorSpaceGenericRGB) ),
-        mxGraySpace( CGColorSpaceCreateWithName(kCGColorSpaceGenericGray) )
+        mxGraySpace( CGColorSpaceCreateWithName(kCGColorSpaceGenericGray) ),
+        maCursors( POINTER_COUNT, INVALID_CURSOR_PTR ),
+        mbIsScrollbarDoubleMax( false )
     {}
     
     ~SalData()
     {
         CFRelease( mxRGBSpace );
         CFRelease( mxGraySpace );
+        for( unsigned int i = 0; i < maCursors.size(); i++ )
+        {
+            NSCursor* pCurs = maCursors[i];
+            if( pCurs && pCurs != INVALID_CURSOR_PTR )
+                [pCurs release];
+        }
     }
+    
+    NSCursor* getCursor( PointerStyle i_eStyle );
 };
 
 void AquaLog( const char* pFormat, ... );
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/aqua/inc/salframe.h ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/salframe.h
--- ooo_SRC680_m233_src.orig/vcl/aqua/inc/salframe.h	2007-10-09 17:09:28.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/aqua/inc/salframe.h	2007-10-15 15:24:24.000000000 +0200
@@ -200,73 +200,4 @@
     AquaSalFrame& operator=(const AquaSalFrame&);
 };
 
-@interface SalFrameWindow : NSWindow
-{
-    AquaSalFrame*       mpFrame;
-}
--(id)initWithSalFrame: (AquaSalFrame*)pFrame;
--(void)windowDidBecomeKey: (NSNotification*)pNotification;
--(void)windowDidResignKey: (NSNotification*)pNotification;
--(void)windowDidChangeScreen: (NSNotification*)pNotification;
--(void)windowDidMove: (NSNotification*)pNotification;
--(void)windowDidResize: (NSNotification*)pNotification;
--(void)windowDidMiniaturize: (NSNotification*)pNotification;
--(void)windowDidDeminiaturize: (NSNotification*)pNotification;
--(MacOSBOOL)windowShouldClose: (NSNotification*)pNotification;
--(void)dockMenuItemTriggered: (id)sender;
--(AquaSalFrame*)getSalFrame;
-@end
-
-@interface SalFrameView : NSView <NSTextInput>
-{
-    AquaSalFrame*       mpFrame;
-
-    // for NSTextInput
-    id mpLastEvent;
-    BOOL mbNeedSpecialKeyHandle;
-    BOOL mbInKeyInput;
-    BOOL mbKeyHandled;
-    NSRange mMarkedRange;
-    NSRange mSelectedRange;
-}
--(id)initWithSalFrame: (AquaSalFrame*)pFrame;
--(MacOSBOOL)acceptsFirstResponder;
--(MacOSBOOL)acceptsFirstMouse: (NSEvent *)pEvent;
--(MacOSBOOL)isOpaque;
--(void)drawRect: (NSRect)aRect;
--(void)mouseDown: (NSEvent*)pEvent;
--(void)mouseDragged: (NSEvent*)pEvent;
--(void)mouseUp: (NSEvent*)pEvent;
--(void)mouseMoved: (NSEvent*)pEvent;
--(void)mouseEntered: (NSEvent*)pEvent;
--(void)mouseExited: (NSEvent*)pEvent;
--(void)rightMouseDown: (NSEvent*)pEvent;
--(void)rightMouseDragged: (NSEvent*)pEvent;
--(void)rightMouseUp: (NSEvent*)pEvent;
--(void)otherMouseDown: (NSEvent*)pEvent;
--(void)otherMouseDragged: (NSEvent*)pEvent;
--(void)otherMouseUp: (NSEvent*)pEvent;
--(void)scrollWheel: (NSEvent*)pEvent;
--(void)keyDown: (NSEvent*)pEvent;
--(void)flagsChanged: (NSEvent*)pEvent;
--(void)sendMouseEventToFrame:(NSEvent*)pEvent button:(USHORT)nButton eventtype:(USHORT)nEvent;
--(void)sendKeyInputAndReleaseToFrame: (USHORT)nKeyCode character: (sal_Unicode)aChar;
--(MacOSBOOL)checkSpecialCharacters:(NSEvent*)pEvent;
-/*
-    text action methods
-*/
--(void)insertText:(id)aString;
--(void)insertTab: (id)aSender;
--(void)moveLeft: (id)aSender;
--(void)moveRight: (id)aSender;
--(void)moveUp: (id)aSender;
--(void)moveDown: (id)aSender;
--(void)insertNewline: (id)aSender;
--(void)deleteBackward: (id)aSender;
--(void)deleteForward: (id)aSender;
--(void)cancelOperation: (id)aSender;
-/* set the correct pointer for our view */
--(void)resetCursorRects;
-@end
-
 #endif // _SV_SALFRAME_H
